package com.clx.performance.mapper.collect;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.clx.performance.model.collect.CollectLineReport;
import com.clx.performance.param.app.collect.PageCollectTraficCongestionParam;
import com.clx.performance.sqlProvider.collect.CollectTrafficCongestionProvider;
import com.clx.performance.vo.app.collect.CollectLineReportVO;
import com.clx.performance.vo.app.collect.CollectTrafficCongestionVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.SelectProvider;

/**
* @Author: aiqinguo
* @Description: 运单图片
* @Date: 2023/09/18 11:34:50
* @Version: 1.0
*/

@Mapper
public interface CollectLineReportMapper extends BaseMapper<CollectLineReport> {
    /**
     * @see CollectTrafficCongestionProvider#pageTraffic(com.baomidou.mybatisplus.extension.plugins.pagination.Page, com.clx.performance.param.app.collect.PageCollectTraficCongestionParam)
     */
    @SelectProvider(type = CollectTrafficCongestionProvider.class, method = "pageTraffic")
    IPage<CollectLineReportVO> pageTraffic(@Param("page") Page<CollectLineReportVO> page, @Param("param") PageCollectTraficCongestionParam param);

}