package com.clx.performance.service.impl.collect;

import com.alibaba.fastjson.JSON;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.dao.OrderChildDao;
import com.clx.performance.dao.collect.CollectLineReportDao;
import com.clx.performance.dao.collect.CollectTrafficCongestionDao;
import com.clx.performance.enums.PerformanceResultEnum;
import com.clx.performance.model.OrderChild;
import com.clx.performance.model.collect.CollectLineReport;
import com.clx.performance.model.collect.CollectTrafficCongestion;
import com.clx.performance.param.app.collect.CollectLineReportSendAddressSaveParam;
import com.clx.performance.param.app.collect.CollectTrafficCongestionSaveParam;
import com.clx.performance.param.app.collect.PageCollectLineReportParam;
import com.clx.performance.param.app.collect.PageCollectTraficCongestionParam;
import com.clx.performance.service.collect.CollectLineReportService;
import com.clx.performance.service.collect.CollectTrafficCongestionService;
import com.clx.performance.struct.collect.CollectLineReportStruct;
import com.clx.performance.struct.collect.CollectTrafficCongestionStruct;
import com.clx.performance.vo.app.collect.CollectLineReportVO;
import com.clx.performance.vo.app.collect.CollectTrafficCongestionVO;
import com.msl.user.data.UserSessionData;
import com.msl.user.utils.TokenUtil;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.time.LocalDateTime;

@Slf4j
@Service
public class CollectLineReportServiceImpl implements CollectLineReportService {

    @Autowired
    private CollectLineReportDao collectLineReportDao;
    @Autowired
    private OrderChildDao orderChildDao;

    @Autowired
    private CollectLineReportStruct collectLineReportStruct;


    @Override
    public void saveSendAddressReport(CollectLineReportSendAddressSaveParam param) {
        UserSessionData loginUserInfo = TokenUtil.getLoginUserInfo();
        Long userNo = loginUserInfo.getUserNo();

        OrderChild orderChild = orderChildDao.getByChildNo(param.getChildNo()).orElseThrow(PerformanceResultEnum.DATA_NOT_FIND);

        CollectLineReport collectLineReport = new CollectLineReport();
        collectLineReport.setUserNo(userNo);
        collectLineReport.setName(loginUserInfo.getUserName());
        collectLineReport.setMobile(loginUserInfo.getUserMobile());
        collectLineReport.setTruckNo("");

        collectLineReport.setChildNo(param.getChildNo());
        collectLineReport.setAddressId(orderChild.getSendAddressId());
        collectLineReport.setAddress(orderChild.getSendAddress());

        collectLineReport.setType(CollectLineReport.Type.SEND.getCode());
        collectLineReport.setReportType(CollectLineReport.ReportType.SEND.getCode());

        collectLineReport.setReportStatus(param.getReportStatus());
        collectLineReport.setRemark(param.getStatus()==1? "有存煤" : "现产现装");
        collectLineReport.setReportTime(LocalDateTime.now());
        collectLineReportDao.saveEntity(collectLineReport);
    }

    @Override
    public CollectLineReportVO getReportInfo(Integer id) {
        return collectLineReportDao.getEntityByKey(id).map(collectLineReportStruct::convert).orElseThrow(PerformanceResultEnum.DATA_NOT_FIND);

    }

    @Override
    public IPage<CollectLineReportVO> pageLineReport(PageCollectLineReportParam param) {
        UserSessionData loginUserInfo = TokenUtil.getLoginUserInfo();
        Long userNo = loginUserInfo.getUserNo();

        param.setUserNo(userNo);
        return null;
    }
}
